<?xml version="1.0" encoding="UTF-8"?>
<jasperReport xmlns="http://jasperreports.sourceforge.net/jasperreports" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports http://jasperreports.sourceforge.net/xsd/jasperreport.xsd" name="SUB_P1102_USER_DEFINED" language="groovy" pageWidth="335" pageHeight="100" whenNoDataType="BlankPage" columnWidth="335" leftMargin="0" rightMargin="0" topMargin="0" bottomMargin="0" whenResourceMissingType="Empty" isIgnorePagination="true" uuid="652b3c1e-fb91-4904-8c43-c21868e28d7b">
	<property name="ireport.zoom" value="1.7715610000000035"/>
	<property name="ireport.x" value="0"/>
	<property name="ireport.y" value="0"/>
	<parameter name="COMPANY_ID" class="java.lang.String" isForPrompting="false">
		<defaultValueExpression><![CDATA["23012"]]></defaultValueExpression>
	</parameter>
	<parameter name="EMPLOYEE_ID" class="java.lang.String" isForPrompting="false">
		<defaultValueExpression><![CDATA["1371"]]></defaultValueExpression>
	</parameter>
	<queryString>
		<![CDATA[SELECT "vw_CUSTOM_Employee_UserDefined_AllEmployees"."GENDEF_CAPTION",
"vw_CUSTOM_Employee_UserDefined_AllEmployees"."GENVAL_VALUE",
"vw_CUSTOM_Employee_UserDefined_AllEmployees"."DISPLAYONPAYSLIP_YN",
"vw_CUSTOM_Employee_UserDefined_AllEmployees"."COMPANY_ID",
"vw_CUSTOM_Employee_UserDefined_AllEmployees"."EMPLOYEE_ID"
FROM   "DBA"."vw_CUSTOM_Employee_UserDefined_AllEmployees" "vw_CUSTOM_Employee_UserDefined_AllEmployees"
WHERE  "vw_CUSTOM_Employee_UserDefined_AllEmployees"."GENVAL_VALUE"<>''
AND "vw_CUSTOM_Employee_UserDefined_AllEmployees"."DISPLAYONPAYSLIP_YN"='Y'
AND "vw_CUSTOM_Employee_UserDefined_AllEmployees"."COMPANY_ID"=$P{COMPANY_ID}
AND "vw_CUSTOM_Employee_UserDefined_AllEmployees"."EMPLOYEE_ID"=$P{EMPLOYEE_ID}
ORDER BY "vw_CUSTOM_Employee_UserDefined_AllEmployees"."GENDEF_CAPTION"]]>
	</queryString>
	<field name="GENDEF_CAPTION" class="java.lang.String"/>
	<field name="GENVAL_VALUE" class="java.lang.String"/>
	<field name="DISPLAYONPAYSLIP_YN" class="java.lang.String">
		<fieldDescription><![CDATA[Must this user defined field print on payslip?]]></fieldDescription>
	</field>
	<field name="COMPANY_ID" class="java.math.BigDecimal"/>
	<field name="EMPLOYEE_ID" class="java.math.BigDecimal"/>
	<group name="GrpVar">
		<groupExpression><![CDATA[$F{COMPANY_ID}]]></groupExpression>
	</group>
	<title>
		<band/>
	</title>
	<detail>
		<band height="13">
			<textField evaluationTime="Group" evaluationGroup="GrpVar" isBlankWhenNull="true">
				<reportElement x="0" y="0" width="185" height="13" uuid="d2e50dfb-98d5-47a3-86d0-c3b621bf9685"/>
				<textElement textAlignment="Right">
					<font fontName="SansSerif" size="8"/>
					<paragraph leftIndent="1"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{GENDEF_CAPTION}]]></textFieldExpression>
			</textField>
			<textField evaluationTime="Group" evaluationGroup="GrpVar" pattern="#0.00" isBlankWhenNull="true">
				<reportElement x="185" y="0" width="150" height="13" uuid="e0a3c771-18ac-4947-9ffd-4a5c5d501c08"/>
				<textElement textAlignment="Right">
					<font fontName="SansSerif" size="8"/>
					<paragraph leftIndent="1" rightIndent="5"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{GENVAL_VALUE}]]></textFieldExpression>
			</textField>
		</band>
	</detail>
</jasperReport>
